Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Oomph » Installation of IU dependent on Eclipse platform
Installation of IU dependent on Eclipse platform [message #1806128] Fri, 03 May 2019 08:35 Go to next message
Jan-Philipp Steghöfer is currently offline Jan-Philipp SteghöferFriend
Messages: 2
Registered: May 2019
Junior Member
The Eclipse Capra project wants to provide an Oomph installer for its prospective contributors. Capra itself is compatible with all Eclipse platforms starting with Neon and we would like to make it possible for contributors to also select all Eclipse versions for their development environment.

Since we are using explicit target definitions in TPD, we would like to include the CBI Targetplatform tools in the installation. However, this requires Xtext v2.14 or higher which is only available starting with Photon. Instead of removing the requirement, we would like to make it optional, ideally depending on the Eclipse platform selected by the user. Is this possible?
Re: Installation of IU dependent on Eclipse platform [message #1806345 is a reply to message #1806128] Wed, 08 May 2019 03:23 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30452
Registered: July 2009
Senior Member
I take it you want to contribute a project setup to the existing catalog. Yes a p2 director task's Requirements can specify a Requirement to be optional and greedy (and greedy is important because something will be not be installed if there only exist optional, non-greedy requirements for it) so that if that requirement's IU can be found in one of the (final merged) p2 director task's update sites and all of that IU's requirements can overall be satisfied, then it will be installed.
Re: Installation of IU dependent on Eclipse platform [message #1806399 is a reply to message #1806345] Wed, 08 May 2019 13:02 Go to previous message
Jan-Philipp Steghöfer is currently offline Jan-Philipp SteghöferFriend
Messages: 2
Registered: May 2019
Junior Member
Works like a charm! Thanks, Ed!
Previous Topic:What's wrong with my setup file ?
Next Topic:VariableTask inconsistent behavior
Goto Forum:
  


Current Time: Thu Sep 19 23:41:07 GMT 2019

Powered by FUDForum. Page generated in 0.01456 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top